Skip to content

Connections Endpoints ​

List Connections ​

Retrieve the status of Amazon SP-API and PPC (Advertising) API connections for the selected account.

GET /connections/list

Query Parameters: An account selection parameter is required.

Example Request:

bash
curl -X GET "https://app.sellerlegend.com/api/connections/list?account_title=My Store US" \
  -H "Authorization: Bearer {ACCESS_TOKEN}"

Response:

json
[
  {
    "type": "SP-API",
    "marketplace": "amazon.com",
    "seller_id": "A1234567890",
    "status": "active",
    "last_sync": "2025-01-15T12:00:00Z"
  },
  {
    "type": "PPC",
    "marketplace": "amazon.com",
    "profile_id": "1234567890",
    "status": "active",
    "last_sync": "2025-01-15T11:45:00Z"
  }
]

Response Fields:

FieldTypeDescription
typestringConnection type: SP-API or PPC
marketplacestringAmazon marketplace domain
seller_idstringAmazon Seller ID (SP-API connections)
profile_idstringAmazon Advertising profile ID (PPC connections)
statusstringConnection status: active, inactive, or error
last_syncstringISO 8601 timestamp of the last successful data sync

Python SDK:

python
from sellerlegend_api import SellerLegendClient

client = SellerLegendClient(access_token="YOUR_ACCESS_TOKEN")

connections = client.connections.list(
    account_title="My Store US"
)

for connection in connections['data']:
    print(f"Type: {connection['type']} | Status: {connection['status']}")
    print(f"Last Sync: {connection['last_sync']}")